# Replace bulk domain restriction

Replace all domain restrictions with the domains provided in the request body.

Endpoint: POST /resources/configurations/restrictions/v1/email-domain/replace-bulk
Version: 1.0
Security: bearer

## Security:

  - `bearer` (unknown)
    http bearer JWT

## Request fields (application/json):

  - `type` (string, required)
    Enum: "ALLOW", "BLOCK"

  - `domains` (array, required)

## Response 201 fields (application/json):

  - `id` (string, required)

  - `domain` (string, required)

  - `type` (string, required)
    Enum: "ALLOW", "BLOCK"

